import { request } from '@/utils/request';

import type { addRoleDto } from '@/types/BiRole';

/**
 * 新增角色
 * @param addRoleDto
 * @returns
 */
const addRole = (data: addRoleDto) =>
  request<any>('/bi-manager/role/addRole', 'post', data);

/**
 * 删除角色
 * @param id:string
 * @returns
 */
const delRoleById = (data: { id: string }) =>
  request<any>('/bi-manager/role/delRoleById', 'post', data);

/**
 * 修改角色
 * @param addRoleDto
 * @returns
 */
const editRoleById = (data: addRoleDto) =>
  request<any>('/bi-manager/role/editRoleById', 'post', data);

/**
 * 查询角色
 * @param id:string
 * @returns
 */
const getRoleList = (data) =>
  request<any>('/bi-manager/role/getRoleList', 'post', data);

/**
 * 根据角色id查询绑定用户
 * @param id:string
 * @returns
 */
const getUserListById = (data: { id: string }) =>
  request<any>('/bi-manager/role/getUserListById', 'post', data);

export default {
  addRole,
  delRoleById,
  editRoleById,
  getRoleList,
  getUserListById
};
